Bug 145168 - Filter isn't applied to directories
Summary: Filter isn't applied to directories
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-08 06:57 UTC by Tobias
Modified: 2009-01-16 18:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias 2007-05-08 06:57:00 UTC
Version:           0.8.1 (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages
OS:                Linux

Hi,

the quick filter in dolphin isn't applied to directories. This is very annoying especially in directories with many subdirectories. I think there should at least be an option to change this. 

What's more it would be nice if you could make the filter field permanent.

Tobias
Comment 1 Peter Penz 2007-05-18 14:44:55 UTC
SVN commit 665964 by ppenz:

- allow to configure that the filter bar should be shown after starting Dolphin (is off per default)
- some minor naming cleanups

BUG: 145168

 M  +4 -0      dolphin_generalsettings.kcfg  
 M  +6 -3      dolphinview.cpp  
 M  +19 -12    generalsettingspage.cpp  
 M  +3 -2      generalsettingspage.h  


--- trunk/KDE/kdebase/apps/dolphin/src/dolphin_generalsettings.kcfg #665963:665964
@@ -19,6 +19,10 @@
             <label>Split the view into two panes</label>
             <default>false</default>
         </entry>
+        <entry name="FilterBar" type="Bool">
+            <label>Should the filter bar be shown</label>
+            <default>false</default>
+        </entry>
         <entry name="GlobalViewProps" type="Bool">
             <label>Should the view properties used for all directories</label>
             <default>false</default>
--- trunk/KDE/kdebase/apps/dolphin/src/dolphinview.cpp #665963:665964
@@ -100,8 +100,11 @@
             this, SLOT(updateCutItems()));
 
     m_urlNavigator = new KUrlNavigator(DolphinSettings::instance().placesModel(), url, this);
-    m_urlNavigator->setUrlEditable(DolphinSettings::instance().generalSettings()->editableUrl());
-    m_urlNavigator->setHomeUrl(DolphinSettings::instance().generalSettings()->homeUrl());
+
+    const GeneralSettings* settings = DolphinSettings::instance().generalSettings();
+    m_urlNavigator->setUrlEditable(settings->editableUrl());
+    m_urlNavigator->setHomeUrl(settings->homeUrl());
+
     connect(m_urlNavigator, SIGNAL(urlChanged(const KUrl&)),
             this, SLOT(changeDirectory(const KUrl&)));
     connect(m_urlNavigator, SIGNAL(urlsDropped(const KUrl::List&, const KUrl&)),
@@ -168,7 +171,7 @@
     m_iconSize = K3Icon::SizeMedium;
 
     m_filterBar = new FilterBar(this);
-    m_filterBar->hide();
+    m_filterBar->setVisible(settings->filterBar());
     connect(m_filterBar, SIGNAL(filterChanged(const QString&)),
             this, SLOT(changeNameFilter(const QString&)));
     connect(m_filterBar, SIGNAL(closeRequest()),
--- trunk/KDE/kdebase/apps/dolphin/src/generalsettingspage.cpp #665963:665964
@@ -42,8 +42,9 @@
     SettingsPageBase(parent),
     m_mainWindow(mainWin),
     m_homeUrl(0),
-    m_startSplit(0),
-    m_startEditable(0),
+    m_splitView(0),
+    m_editableUrl(0),
+    m_filterBar(0),
     m_showDeleteCommand(0)
 {
     const int spacing = KDialog::spacingHint();
@@ -82,17 +83,22 @@
 
     QGroupBox* startBox = new QGroupBox(i18n("Start"), vBox);
 
-    // create 'Start with split view' checkbox
-    m_startSplit = new QCheckBox(i18n("Start with split view"), startBox);
-    m_startSplit->setChecked(settings->splitView());
+    // create 'Split view' checkbox
+    m_splitView = new QCheckBox(i18n("Split view"), startBox);
+    m_splitView->setChecked(settings->splitView());
 
-    // create 'Start with editable navigation bar' checkbox
-    m_startEditable = new QCheckBox(i18n("Start with editable navigation bar"), startBox);
-    m_startEditable->setChecked(settings->editableUrl());
+    // create 'Editable location' checkbox
+    m_editableUrl = new QCheckBox(i18n("Editable location"), startBox);
+    m_editableUrl->setChecked(settings->editableUrl());
 
+    // create 'Filter bar' checkbox
+    m_filterBar = new QCheckBox(i18n("Filter bar"),startBox);
+    m_filterBar->setChecked(settings->filterBar());
+
     QVBoxLayout* startBoxLayout = new QVBoxLayout(startBox);
-    startBoxLayout->addWidget(m_startSplit);
-    startBoxLayout->addWidget(m_startEditable);
+    startBoxLayout->addWidget(m_splitView);
+    startBoxLayout->addWidget(m_editableUrl);
+    startBoxLayout->addWidget(m_filterBar);
 
     m_showDeleteCommand = new QCheckBox(i18n("Show the command 'Delete' in context menu"), vBox);
     const KSharedConfig::Ptr globalConfig = KSharedConfig::openConfig("kdeglobals", KConfig::NoGlobals);
@@ -121,8 +127,9 @@
         settings->setHomeUrl(url.prettyUrl());
     }
 
-    settings->setSplitView(m_startSplit->isChecked());
-    settings->setEditableUrl(m_startEditable->isChecked());
+    settings->setSplitView(m_splitView->isChecked());
+    settings->setEditableUrl(m_editableUrl->isChecked());
+    settings->setFilterBar(m_filterBar->isChecked());
 
     KSharedConfig::Ptr globalConfig = KSharedConfig::openConfig("kdeglobals", KConfig::NoGlobals);
     KConfigGroup kdeConfig(globalConfig, "KDE");
--- trunk/KDE/kdebase/apps/dolphin/src/generalsettingspage.h #665963:665964
@@ -52,8 +52,9 @@
 private:
     DolphinMainWindow* m_mainWindow;
     QLineEdit* m_homeUrl;
-    QCheckBox* m_startSplit;
-    QCheckBox* m_startEditable;
+    QCheckBox* m_splitView;
+    QCheckBox* m_editableUrl;
+    QCheckBox* m_filterBar;
     QCheckBox* m_showDeleteCommand;
 };
 
Comment 2 Peter Penz 2007-05-18 14:46:08 UTC
PS: the filter also is applied on directories, but nothing had to be fixed in the KDE4 version of Dolphin, as this already worked there :-)
Comment 3 Nicolas Brisset 2009-01-16 18:20:34 UTC
See comment #10 on bug #171164: I first wanted to ask to remove the filtering of directories (at least as an option) to allow navigating the folders. But thinking more about it, I believe it should only be an option for users who really can't get used to filtered dirs, or who use the editable location bar (in which case navigating with the mouse won't work if directories are filtered).

The other question is where to put the option: a button in the toolbar to toggle it, or only in the settings dialog ?